Download it now!
Bug 56219 - UI: Remove Text object related "Adapt" properties from 'Position and Size' dialog
Summary: UI: Remove Text object related "Adapt" properties from 'Position and Size' di...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 56103
  Show dependency treegraph
 
Reported: 2012-10-20 10:56 UTC by Rainer Bielefeld Retired
Modified: 2015-05-06 14:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-20 10:56:04 UTC
Steps how to reproduce with "LibreOffice 3.6.3.1” English UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit).

1. Open new DRQS document
2. Created a Textbox with simple Text "1 22 333 4444 55555"
3. Click into empty page area
4. Right click Text box (not to edit mode) -> Position and size
   > You will see 2 properties 'Adapt - Fit ... to text

I wonder why we need these 2 Text properties here (what are also available in 'Format -> Text'), but not "Fit to frame" and the other text related properties for DRAW objects and pixel pictures. To me that looks inconsistent. 

I recommend to remove those functions from that dialog.

Inherited from OOo!
Comment 1 ydutrieux 2012-12-16 10:01:16 UTC
Hi rainer,

don't know if it's a bug (perhaps enhancement ?)
But with your test, I have see a bug I think.

If you check [X] adapt Height to text, this doesn't work.
Ok for width.
Comment 2 Rainer Bielefeld Retired 2012-12-22 08:04:30 UTC
@ydutrieux
"It does not work" is too rare. What EXACTLY did you expect, and what EXACTLY did you observe with waht LibO Version on what OS?
Comment 3 Rainer Bielefeld Retired 2012-12-29 17:35:45 UTC
@reporter, 
I am sorry to say so, but we can’t get any progress about this bug without more
information. There has been no answer to the questions for a very long time. Therefore we need to close this bug report. Feel free to reopen it
when you can provide requested information.
Comment 4 khagaroth 2012-12-29 22:17:45 UTC
The unanswered questions are unrelated to the original bugreport. What more info do you need. There are simply identical options on two different dialogs (whereas one of the dialogs does have more size related options than the other), someone from UX should decide if they should be kept as is, modified so that both dialogs have all the text size related options, or removed from one of the dialogs.
Comment 5 Rainer Bielefeld Retired 2013-01-19 10:49:45 UTC
(In reply to comment #3) 
I wonder why I did not see that I was the reporter :-/
Comment 6 Rainer Bielefeld Retired 2013-01-19 11:38:26 UTC
I still think that the current UI is inconsistent, I will attach some mocukups, soon
Comment 7 tommy27 2013-08-24 12:45:08 UTC
changing status to NEW since it's a UI change request
Comment 8 QA Administrators 2015-04-01 14:41:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 9 Julien Nabet 2015-04-10 22:52:07 UTC
Tommy27: on pc Debian x86-64 with master sources updated today, I don't reproduce the original behaviour.
Do you reproduce this? Did I miss something?
Comment 10 QA Administrators 2015-05-06 14:21:20 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team